BootStrapClassRunner (Grails 6.0.0)

Package: org.grails.plugins.web.servlet.context

## [Groovy] Class BootStrapClassRunner

- org.grails.plugins.web.servlet.context.BootStrapClassRunner

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.web.context.ServletContextAware, org.springframework.context.ApplicationContextAware, PluginManagerAware

      @groovy.transform.CompileStatic
      @groovy.util.logging.Commons
      class BootStrapClassRunner
      extends GrailsApplicationLifeCycleAdapter
      implements GrailsApplicationAware, org.springframework.web.context.ServletContextAware, org.springframework.context.ApplicationContextAware, PluginManagerAware

  Runs the BootStrap classes on startup

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private GrailsApplication` | `grailsApplication` |
    `private GrailsPluginManager` | `pluginManager` |
    `private javax.servlet.ServletContext` | `servletContext` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `GrailsApplication` | `grailsApplication`
    `GrailsPluginManager` | `pluginManager`
    `javax.servlet.ServletContext` | `servletContext`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BootStrapClassRunner ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)`
    `` | `void` | `onStartup(java.util.Map<java.lang.String, java.lang.Object> event)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsApplicationLifeCycleAdapter` | `doWithApplicationContext, doWithDynamicMethods, doWithSpring, onConfigChange, onShutdown, onStartup`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private GrailsApplication grailsApplication

    - #### private GrailsPluginManager pluginManager

    - #### private javax.servlet.ServletContext servletContext

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### GrailsApplication grailsApplication

    - #### GrailsPluginManager pluginManager

    - #### javax.servlet.ServletContext servletContext

  - ### Constructor Detail

    - #### BootStrapClassRunner()

  - ### Method Detail

    - #### @java.lang.Override void onShutdown(java.util.Map<java.lang.String, java.lang.Object> event)

    - #### @java.lang.Override void onStartup(java.util.Map<java.lang.String, java.lang.Object> event)